%define geourl http://geolite.maxmind.com/download/geoip/database
%define asnurl http://download.maxmind.com/download/geoip/database/asnum/GeoIPASNum.dat.gz

Name:		GeoIP-data
Version:	20131211
Release:	1%{?dist}
Summary:	GeoLite Country database
Summary(ko): GeoLite 국가 데이터베이스
Group:		System Environment/Libraries
License:	MaxMind
URL:		http://www.maxmind.com

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	curl
BuildArch: noarch

%description
Determine the Internet visitor's country based on the IP address.
Also, try out our free GeoLite Country database.

%build
%{__mkdir_p} %{name}-%{version}
cd %{name}-%{version}
%{__urlhelpercmd} --silent -o GeoIP.dat.gz %{geourl}/GeoLiteCountry/GeoIP.dat.gz
%{__urlhelpercmd} --silent -o GeoIPCountryCSV.zip %{geourl}/GeoIPCountryCSV.zip
%{__urlhelpercmd} --silent -o GeoIPASNum.dat.gz %{asnurl}
%{__gzip} -d GeoIP.dat.gz GeoIPASNum.dat.gz
%{__unzip} GeoIPCountryCSV.zip

%install
cd %{name}-%{version}
%{__mkdir_p} %{buildroot}%{_datadir}/GeoIP
%{__install} -m 644 GeoIP.dat %{buildroot}%{_datadir}/GeoIP/GeoIP.dat
%{__install} -m 644 GeoIPASNum.dat %{buildroot}%{_datadir}/GeoIP/GeoIPASNum.dat
%{__install} -m 644 GeoIPCountryWhois.csv \
	%{buildroot}%{_datadir}/GeoIP/GeoIPCountryWhois.csv

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/GeoIP/*

%changelog
* Wed Dec 11 2013 JoungKyun.Kim <http://oops.org> 20131211-1%{?dist}
- update 201312 data

* Sun Sep  8 2013 JoungKyun.Kim <http://oops.org> 20131008-1%{?dist}
- update 201310 data

* Sun Sep  8 2013 JoungKyun.Kim <http://oops.org> 20130908-1%{?dist}
- update 201309 data

* Fri Aug 16 2013 JoungKyun.Kim <http://oops.org> 20130816-1%{?dist}
- update 201308 data

* Wed Jul 10 2013 JoungKyun.Kim <http://oops.org> 20130710-1%{?dist}
- update 201307 data
- add AS Number data

* Sat Aug 12 2012 JoungKyun.Kim <http://oops.org> 20120808-1%{?dist}
- update 201208 data

* Fri Jun  7 2012 JoungKyun.Kim <http://oops.org> 20120606-1%{?dist}
- update 201206 data

* Thu Feb 15 2012 JoungKyun.Kim <http://oops.org> 20120208-1%{?dist}
- update 201202 data
